[SM-Grimoire-Bugs] [Bug 8646] sorcery 1.11.4: this patch correct INSTALL_ROOT features

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Apr 25 22:26:53 EDT 2005


http://bugs.sourcemage.org/show_bug.cgi?id=8646





------- Additional Comments From acedit at armory.com  2005-04-25 19:26 -------
According to this bug, cross compile doesnt actually work (properly) with what
we have now. Currently spells are installed to /opt/install_root and are
configured with /opt/install_root baked in as their execution location, so when
the target system runs the code, all the files are expecting a /opt/install_root
beneath them, which is not the case in the native environment.

This change would make them install to /opt/install_root but bake '/' (or
$TRACK_ROOT) in as their execution location. Which does seem to be more correct. 

What it may break the following class of spells:
1) build_api 2
2) custom BUILD
3) not autoconf'ed
4) uses default INSTALL
5) use DESTDIR for some other purpose

There may be other groups of spells effected we havent considered yet. Some api1
spells might not work if they use ./configure but arent autoconfed AND have some
other idea of what DESTDIR means.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



More information about the SM-Grimoire-Bugs mailing list